# 开发BBS+BLOG系统

## 作业需求:

```
基础需求：85%
1. 基于ajax和用户认证组件实现登录验证
2. 基于ajax和form组件实现注册功能
3. 系统首页文章列表的渲染
4. 个人站点页面设计
5. 文章详细页的继承
6. 点赞与踩
7. 评论功能
8. 富文本编辑器的使用
9. 防止xss攻击

编码规范需求：15%
1. 代码规范遵守pep8 (https://python.org/dev/peps/pep-0008/)
2. 函数有相应的注释
3. 程序有文档说明文件（README.md参考：https://github.com/csrftoken/vueDrfDemo）
4. 程序的说明文档必须包含的内容：程序的开发环境、程序的实现的功能、程序的启动方式、登录用户信息、程序的运行效果
5. 程序设计的流程图：
(可以参考：https://www.processon.com/view/link/589eb841e4b0999184934329)
```

## 目录划分：

--cnblog  项目

​	--blog  主程序

​	--cnblog  配置

​	--media   用户上传的文件

​	--static  静态文件

​	--templates  模板html

## 实现效果：

测试账号：用户名：zhangyang  密码：123

管理员账号admin  密码：123456

数据库用的django自带的，没用mysql

**因为上传作业文件超过5M，所以把fonts里的字体SIMLI.tt删掉了。**

这里要在上传一下，要不登录里的验证码验证过不去。

```
from blog.utils.validCode import get_valid_code_img
font = ImageFont.truetype('static/fonts/SIMLI.ttf', size=30)
```

### 首页：

![image-20200206190955697](https://i.loli.net/2020/02/06/DIAwhXaxmMyLZld.png)

可进行点击**我的博客**进入个人主页,也可**退出**到登录界面

### 个人界面：

![image-20200206191054859](https://i.loli.net/2020/02/06/JeX31a7Pc8Sx25f.png)

可点击**管理**到后台管理界面

### 后台界面：

![image-20200206191211955](https://i.loli.net/2020/02/06/eSQD6VYC7iHWBqa.png)

可进行**添加文章**，**编辑**，**删除**等操作

## 总结：

写项目的过程中发现：

1.orm的用法跨表查询还是生疏，有的查找卡很久

2.jquery的dom操作，用的不熟练，需要查找资料

3.ajax提交也要多写

4.写urls路由分发时要注意顺序，有时候正则写的会有冲突

