from django import forms
from django.forms import widgets
from blog.models import UserInfo
from django.core.exceptions import NON_FIELD_ERRORS, ValidationError

class UserForm(forms.Form):
    user=forms.CharField(max_length=32,
                         error_messages={'required':'该字段不能为空'},
                         label='用户名',
                         widget=widgets.TextInput(attrs={"class":"form-control"}))
    pwd=forms.CharField(max_length=32,
                        label='密码',
                        widget=widgets.PasswordInput(attrs={"class":"form-control"}))
    re_pwd=forms.CharField(max_length=32,
                           label='确认密码',
                           widget=widgets.PasswordInput(attrs={"class":"form-control"}))
    email=forms.EmailField(max_length=32,
                           label='邮箱',
                           widget=widgets.EmailInput(attrs={"class":"form-control"}))

    #局部钩子 clean_(加字段名)，只能这么写，源码规定
    def clean_user(self):
        user=self.cleaned_data.get("user")
        user_obj = UserInfo.objects.filter(username=user).first()
        if not user_obj: #如果数据库总没有这个值
            return user
        else:
            raise ValidationError("该用户已注册!")

    #全局钩子，全局的错误信息
    def clean(self):
        pwd = self.cleaned_data.get("pwd")
        re_pwd = self.cleaned_data.get("re_pwd")
        if pwd and re_pwd:
            if pwd == re_pwd: #如果一致还把原来的cleaned_data返回
                return self.cleaned_data

            else: #不一致把错误返回errors_list
                raise ValidationError("两次密码不一致")
        else:return self.cleaned_data
