from django import template
from blog import models
from django.db.models import Max,Avg,Count,Sum

register = template.Library()

# @register.simple_tag
# def multi_tag(x,y):
#     return x*y


@register.inclusion_tag("classification.html")
def show_results(username):
    #用户对象
    user = models.UserInfo.objects.filter(username=username).first()
    #个人站点blog对象
    blog_obj = user.blog
    #右侧 主体界面 文章
        #基于用户或当前站点对应的文章
    article_list=models.Article.objects.filter(user=user)

    #左侧随笔分类
        #查询当前站点的每一个分类名称以及对应的文章数
    category_list = models.Category.objects.filter(blog=blog_obj).values('pk').annotate(c=Count('article__title')).values_list('title','c')
    #左侧我的标签
        # 查询当前站点的每一个标签名称以及对应的文章数
    tag_list =models.Tag.objects.filter(blog=blog_obj).values('pk').annotate(c=Count('article__title')).values_list('title','c')

    #左侧随笔档案年月
        # 查询当前站点的每一个年月的名称以及对应的文章数  #mysql中用date_format(create_time,"%%Y%%m%%d")
    month_list = models.Article.objects.filter(user=user).extra(select={"create_time":"strftime('%%Y-%%m',create_time)"}).values("create_time").annotate(c=Count("nid")).values_list("create_time","c")

    return {'user':user,'blog':blog_obj,'article_list':article_list,'category_list':category_list,'tag_list':tag_list,'month_list':month_list}