import random

def get_random_color():
    return (random.randint(0, 255), random.randint(0, 255), random.randint(0, 255))

def get_valid_code_img(requset):
    # 方式1
    # with open('qq.jpg','rb')as f:
    #     data = f.read()
    # return HttpResponse(data)

    # 方式2  动态生成验证码图，磁盘存储
    # pip install pillow
    # from PIL import Image
    # img = Image.new('RGB',(270,40),color=(248, 144, 120))
    # with open("validCode.png",'wb') as f:
    #     img.save(f,"png")
    #
    # with open("validCode.png",'rb') as f:
    #     data = f.read()
    # return HttpResponse(data)

    # 方式3  内存中存储 优先使用
    from PIL import Image, ImageDraw, ImageFont
    from io import BytesIO

    img = Image.new('RGB', (270, 40), color=(248, 144, 120))
    draw = ImageDraw.Draw(img)  # 画这个图片
    font = ImageFont.truetype('static/fonts/SIMLI.ttf', size=30)

    # 随机验证码
    random_char_last = ''
    for i in range(4):
        random_num = str(random.randint(0, 9))  # 0-9数字
        random_low_alpha = chr(random.randint(97, 122))  # 小写字母的ASCII码
        random_upper_alpha = chr(random.randint(65, 90))  # 大写字母的ASCII码
        random_char = str(random.choice([random_num, random_low_alpha, random_upper_alpha]))
        draw.text((i * 60 + 20, 5), random_char, fill=get_random_color(), font=font)  # 写文本
        # 验证码累加
        random_char_last += random_char

    # 添加噪点 干扰线
    width = 270
    height = 40
    for i in range(5):
        x1 = random.randint(0, width)
        x2 = random.randint(0, width)
        y1 = random.randint(0, height)
        y2 = random.randint(0, height)
        draw.line((x1, y1, x2, y2), fill=get_random_color(), width=3)

    for i in range(5):
        draw.point([random.randint(0, width), random.randint(0, height)], fill=get_random_color())
        x = random.randint(0, width)
        y = random.randint(0, height)
        draw.arc((x, y, x + 4, y + 4), 0, 90, fill=get_random_color())

    # 保存验证码
    requset.session['random_char_last'] = random_char_last
    f = BytesIO()  # 文件句柄
    img.save(f, 'png')
    data = f.getvalue()

    return data