"""cnblog URL Configuration

The `urlpatterns` list routes URLs to views. For more information please see:
    https://docs.djangoproject.com/en/2.2/topics/http/urls/
Examples:
Function views
    1. Add an import:  from my_app import views
    2. Add a URL to urlpatterns:  path('', views.home, name='home')
Class-based views
    1. Add an import:  from other_app.views import Home
    2. Add a URL to urlpatterns:  path('', Home.as_view(), name='home')
Including another URLconf
    1. Import the include() function: from django.urls import include, path
    2. Add a URL to urlpatterns:  path('blog/', include('blog.urls'))
"""
from django.contrib import admin

from django.urls import path,re_path
from blog import views
from django.views.static import serve
from cnblog import settings

#需注意路由顺序
urlpatterns = [
    #admin后台管理
    path('admin/', admin.site.urls),
    #登录注册
    path('login/',views.login),
    path('logout/',views.logout),
    path('register/',views.register),
    path('get_validCode_img/',views.get_validCode_img),

    # 后台管理界面
    path('upload/', views.upload),
    re_path('cn_backend/$', views.cn_backend),
    re_path("cn_backend/add_article/$", views.add_article),
    re_path("cn_backend/(?P<edit_article_id>\d+)/edit_article/$", views.edit_article),
    re_path("cn_backend/(?P<delete_article_id>\d+)/delete_article/$", views.delete_article),

    # 点赞
    path("digg/", views.digg),
    path("comment/",views.comment),
    path("get_comment_tree/",views.get_comment_tree),

    # media配置 存储用户上传的文件图片
    re_path(r"media/(?P<path>.*)", serve, {"document_root": settings.MEDIA_ROOT}),

    #系统首页
    path('index/', views.index),  #登录成功后的首页
    re_path('^$', views.index),   #

    #个人站点页面 +页面过滤
    re_path('^(?P<username>\w+)/$',views.site),
    re_path('^(?P<username>\w+)/(?P<path>tag|category|month)/(?P<param>.*)/$',views.site),

    #个人详情页
    re_path('^(?P<username>\w+)/articles/(?P<article_id>\d+)/$',views.articles_detail),

]
